/* ---------------------------------------------------------------------- */
/*   TXT2PCX.c (C) Version 2.0 CopyLeft Bill Buckels 1993-2000            */
/*   All Rights Reserved.                                                 */
/*                                                                        */
/*   TXT2PCX is distributed as FreeWare and Written by:                   */
/*                                                                        */
/*   Bill Buckels                                                         */
/*   589 Oxford Street                                                    */
/*   Winnipeg, Manitoba, Canada R3M 3J2                                   */
/*                                                                        */
/*   Email: bbuckels@escape.ca                                            */
/*   WebSite: http://www.escape.ca/~bbuckels                              */
/*                                                                        */
/*   You have a royalty-free right to use, modify, reproduce and          */
/*   distribute this source code (and/or any modified  version) in any    */
/*   way you find useful, provided that you do not compete                */
/*   with Bill Buckels or his agents, and that you agree that Bill        */
/*   Buckels has no warranty obligations or liability whatsoever          */
/*   resulting from any associated loss or damage.                        */
/*                                                                        */
/*   If you do not agree with these terms, remove this source and         */
/*   all associated files from your computer now.                         */
/*                                                                        */
/*   Description                                                          */
/*                                                                        */
/*   Usage is "TXT2PCX [my.txt] [columns-optional]"                       */
/*                                                                        */
/*   Txt2pcx.exe is a command line ascii text document converter          */
/*   which will take a straight ascii file and convert it to a            */
/*   monochrome PCX image.                                                */
/*                                                                        */
/*   This is especially useful when preparing screen shots or             */
/*   other facsimiles of ASCII files required for documentation           */
/*   purposes for output from a Desktop publishing program.               */
/*                                                                        */
/*   My own screen capture program (GRABASC.EXE) can be used to           */
/*   generate the initial text file. There are certain programs           */
/*   that are not compatible with GRABASC, and I have tested the          */
/*   screen capture utility THEGRAB(tm) using the /ASCII switch           */
/*   with these and obtained better results.                              */
/*                                                                        */
/*   TXT2PCX can also be used in conjunction with printer intercept       */
/*   programs including my own REAPER and SOWER programs to produce       */
/*   PCX files of printed reports.                                        */
/*                                                                        */
/*   TXT2PCX is written in Microsoft C Version 12                         */
/*   and supports long filenames.                                         */
/* ---------------------------------------------------------------------- */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>

#define _MAX_BUF_SIZE 512

FILE *pcxfile,*fp;
char mybuff[_MAX_PATH];

char RAMFONT[256][16]={
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7E, 0x81, 0xA5, 0x81, 0x81, 0xBD, 
0x99, 0x81, 0x81, 0x7E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xFE, 0xFE, 0xD6, 0xFE, 0xFE, 
0xBA, 0xC6, 0xFE, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x6C, 0xEE, 0xFE, 0xFE, 0xFE, 
0xFE, 0x7C, 0x38, 0x10, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x10, 0x38, 0x7C, 0xFE, 0x7C, 
0x38, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x10, 0x38, 0x38, 0x10, 0x6C, 
0xEE, 0x6C, 0x10, 0x38, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x10, 0x38, 0x7C, 0x7C, 0xFE, 0xFE, 
0xFE, 0x6C, 0x10, 0x38, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x3C, 0x3C, 
0x3C, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0xC3, 0xC3, 
0xC3, 0xE7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0x00, 0x00, 0x00, 0x00, 0x18, 0x3C, 0x66, 0x66, 
0x66, 0x3C, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x1E, 0x0E, 0x1E, 0x36, 0x78, 0xCC, 
0xCC, 0xCC, 0xCC, 0x78, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x3C, 0x66, 0x66, 0x66, 0x3C, 0x18, 
0x7E, 0x18, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x3E, 0x36, 0x3E, 0x36, 0x36, 0x76, 
0xF6, 0x66, 0x0E, 0x1E, 0x0C, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0xDB, 0x7E, 0x3C, 0x66, 0x66, 
0x3C, 0x7E, 0xDB, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x80, 0xE0, 0xF0, 0xFC, 0xFE, 
0xFC, 0xF0, 0xE0, 0x80, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x02, 0x0E, 0x3E, 0x7E, 0xFE, 
0x7E, 0x3E, 0x0E, 0x02, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x3C, 0x7E, 0x18, 0x18, 0x18, 
0x18, 0x7E, 0x3C, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x66, 0x66, 0x66, 0x66, 0x66, 0x66, 
0x66, 0x00, 0x66, 0x66, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7F, 0xDB, 0xDB, 0xDB, 0xDB, 0x7B, 
0x1B, 0x1B, 0x1B, 0x1B, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0x60, 0x7C, 0xF6, 
0xDE, 0x7C, 0x0C, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0xFE, 0xFE, 0xFE, 0xFE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x3C, 0x7E, 0x18, 0x18, 0x18, 
0x7E, 0x3C, 0x18, 0x7E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x3C, 0x7E, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x7E, 0x3C, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x0E, 0xFF, 
0x0E, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x70, 0xFE, 
0x70, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xC0, 
0xC0, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0x66, 0xFF, 
0x66, 0x24, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x10, 0x38, 0x38, 0x38, 0x7C, 
0x7C, 0xFE, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0xFE, 0xFE, 0x7C, 0x7C, 0x7C, 
0x38, 0x38, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x3C, 0x3C, 0x3C, 0x3C, 0x18, 
0x18, 0x00, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x36, 0x36, 0x36, 0x36, 0x14, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x6C, 0x6C, 0x6C, 0xFE, 0x6C, 0x6C, 
0xFE, 0x6C, 0x6C, 0x6C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x18, 0x7C, 0xC6, 0xC0, 0x78, 
0x3C, 0x06, 0xC6, 0x7C, 0x18, 0x18, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x62, 0x66, 0x0C, 
0x18, 0x30, 0x66, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x38, 0x6C, 0x38, 0x30, 0x76, 0x7E, 
0xCC, 0xCC, 0xCC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x0C, 0x0C, 0x0C, 0x18, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0C, 0x18, 0x30, 0x30, 0x30, 0x30, 
0x30, 0x30, 0x18, 0x0C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x30, 0x18, 0x0C, 0x0C, 0x0C, 0x0C, 
0x0C, 0x0C, 0x18, 0x30, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0x38, 0xFE, 
0x38, 0x6C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x18, 0x7E, 
0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x0C, 0x0C, 0x0C, 0x18, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x02, 0x06, 0x0C, 0x18, 
0x30, 0x60, 0xC0, 0x80, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0xCE, 0xDE, 0xF6, 
0xE6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x78, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x7E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0x06, 0x0C, 0x18, 
0x30, 0x60, 0xC6, 0xFE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0x06, 0x06, 0x3C, 0x06, 
0x06, 0x06, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0C, 0x1C, 0x3C, 0x6C, 0xCC, 0xCC, 
0xFE, 0x0C, 0x0C, 0x1E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFE, 0xC0, 0xC0, 0xC0, 0xFC, 0x06, 
0x06, 0x06, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC0, 0xC0, 0xFC, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFE, 0xC6, 0x06, 0x0C, 0x18, 0x30, 
0x30, 0x30, 0x30, 0x30, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0x7C, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0xC6, 0x7E, 
0x06, 0x06, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x0C, 0x00, 
0x00, 0x0C, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x0C, 0x00, 
0x00, 0x0C, 0x0C, 0x0C, 0x18, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x0C, 0x18, 0x30, 0x60, 0xC0, 
0x60, 0x30, 0x18, 0x0C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 
0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x60, 0x30, 0x18, 0x0C, 0x06, 
0x0C, 0x18, 0x30, 0x60, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0x0C, 0x18, 0x18, 
0x18, 0x00, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0xDE, 0xDE, 
0xDE, 0xDC, 0xC0, 0x7E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x38, 0x6C, 0xC6, 0xC6, 0xC6, 0xFE, 
0xC6, 0xC6, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFC, 0x66, 0x66, 0x66, 0x7C, 0x66, 
0x66, 0x66, 0x66, 0xFC, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x3C, 0x66, 0xC2, 0xC0, 0xC0, 0xC0, 
0xC0, 0xC2, 0x66, 0x3C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xF8, 0x6C, 0x66, 0x66, 0x66, 0x66, 
0x66, 0x66, 0x6C, 0xF8, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFE, 0x66, 0x60, 0x64, 0x7C, 0x64, 
0x60, 0x60, 0x66, 0xFE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFE, 0x66, 0x60, 0x64, 0x7C, 0x64, 
0x60, 0x60, 0x60, 0xF0, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0xC0, 0xC0, 0xC0, 
0xCE, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0xC6, 0xC6, 0xC6, 0xFE, 0xC6, 
0xC6, 0xC6, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x3C, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x3C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x3C, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0xD8, 0xD8, 0x70, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0xC6, 0xCC, 0xD8, 0xF0, 0xF0, 
0xD8, 0xCC, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xF0, 0x60, 0x60, 0x60, 0x60, 0x60, 
0x60, 0x62, 0x66, 0xFE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0xC6, 0xEE, 0xEE, 0xFE, 0xD6, 
0xD6, 0xD6, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0xC6, 0xE6, 0xE6, 0xF6, 0xDE, 
0xCE, 0xCE, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFC, 0x66, 0x66, 0x66, 0x66, 0x7C, 
0x60, 0x60, 0x60, 0xF0, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 
0xC6, 0xD6, 0xD6, 0x7C, 0x06, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFC, 0x66, 0x66, 0x66, 0x7C, 0x78, 
0x6C, 0x66, 0x66, 0xE6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC0, 0xC0, 0x70, 0x1C, 
0x06, 0x06, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7E, 0x5A, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x3C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 
0xC6, 0x6C, 0x38, 0x10, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0xC6, 0xC6, 0xD6, 0xD6, 0xD6, 
0xFE, 0xEE, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0xC6, 0xC6, 0x6C, 0x38, 0x38, 
0x6C, 0xC6, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x66, 0x66, 0x66, 0x66, 0x66, 0x3C, 
0x18, 0x18, 0x18, 0x3C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFE, 0xC6, 0x86, 0x0C, 0x18, 0x30, 
0x60, 0xC2, 0xC6, 0xFE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0x60, 0x60, 0x60, 0x60, 0x60, 
0x60, 0x60, 0x60, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x80, 0xC0, 0x60, 0x30, 
0x18, 0x0C, 0x06, 0x02, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 
0x0C, 0x0C, 0x0C, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x10, 0x38, 0x6C, 0xC6, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 
0x00, 0x18, 0x18, 0x18, 0x0C, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 0x0C, 0x7C, 
0xCC, 0xCC, 0xDC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xE0, 0x60, 0x60, 0x7C, 0x66, 0x66, 
0x66, 0x66, 0x66, 0xFC, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x7C, 0xC6, 0xC0, 
0xC0, 0xC0, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x1C, 0x0C, 0x0C, 0x7C, 0xCC, 0xCC, 
0xCC, 0xCC, 0xCC, 0x7E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x7C, 0xC6, 0xC6, 
0xFE, 0xC0, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x1C, 0x36, 0x30, 0x30, 0xFC, 0x30, 
0x30, 0x30, 0x30, 0x78, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xCE, 0xC6, 
0xC6, 0xCE, 0x76, 0x06, 0xC6, 0x7C, 0x00, 0x00, 
0x00, 0x00, 0xE0, 0x60, 0x60, 0x7C, 0x66, 0x66, 
0x66, 0x66, 0x66, 0xE6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x18, 0x00, 0x38, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x3C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0C, 0x0C, 0x00, 0x1C, 0x0C, 0x0C, 
0x0C, 0x0C, 0x0C, 0xCC, 0xCC, 0x78, 0x00, 0x00, 
0x00, 0x00, 0xE0, 0x60, 0x60, 0x66, 0x66, 0x6C, 
0x78, 0x6C, 0x66, 0xE6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x1C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFE, 0xD6, 
0xD6, 0xC6, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xDC, 0x66, 0x66, 
0x66, 0x66, 0x66, 0x66, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x7C, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xDC, 0x66, 0x66, 
0x66, 0x66, 0x7C, 0x60, 0x60, 0xF0, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xCC, 0xCC, 
0xCC, 0xCC, 0x7C, 0x0C, 0x0C, 0x1E, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xDC, 0x66, 0x60, 
0x60, 0x60, 0x60, 0xF0, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x7C, 0xC6, 0xC0, 
0x7C, 0x06, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x30, 0x30, 0x30, 0xFC, 0x30, 0x30, 
0x30, 0x30, 0x36, 0x1C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xCC, 0xCC, 0xCC, 
0xCC, 0xCC, 0xCC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xC6, 0xC6, 0xC6, 
0xC6, 0x6C, 0x38, 0x10, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xC6, 0xC6, 0xD6, 
0xD6, 0xD6, 0xFE, 0x6C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xC6, 0xC6, 0x6C, 
0x38, 0x6C, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xC6, 0xC6, 0xC6, 
0xC6, 0xCE, 0x76, 0x06, 0xC6, 0x7C, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x86, 0x0C, 
0x18, 0x30, 0x62, 0xFE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0E, 0x18, 0x18, 0x18, 0x70, 0x18, 
0x18, 0x18, 0x18, 0x0E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x18, 0x18, 0x18, 0x00, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x70, 0x18, 0x18, 0x18, 0x0E, 0x18, 
0x18, 0x18, 0x18, 0x70, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x76, 0xDC, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x38, 0x38, 
0x6C, 0x6C, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x3C, 0x66, 0xC0, 0xC0, 0xC0, 0xC6, 
0x66, 0x3C, 0x18, 0x0C, 0xCC, 0x38, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0x00, 0x00, 0xC6, 0xC6, 0xC6, 
0xC6, 0xC6, 0xCE, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x0C, 0x18, 0x30, 0x00, 0x7C, 0xC6, 0xC6, 
0xFE, 0xC0, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x30, 0x78, 0xCC, 0x00, 0x78, 0x0C, 0x7C, 
0xCC, 0xCC, 0xDC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xCC, 0x00, 0x00, 0x78, 0x0C, 0x7C, 
0xCC, 0xCC, 0xDC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x60, 0x30, 0x18, 0x00, 0x78, 0x0C, 0x7C, 
0xCC, 0xCC, 0xDC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x38, 0x6C, 0x38, 0x00, 0x78, 0x0C, 0x7C, 
0xCC, 0xCC, 0xDC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x7C, 0xC6, 0xC0, 0xC0, 
0xC6, 0x7C, 0x18, 0x0C, 0x6C, 0x38, 0x00, 0x00, 
0x00, 0x30, 0x78, 0xCC, 0x00, 0x7C, 0xC6, 0xC6, 
0xFE, 0xC0, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xCC, 0x00, 0x00, 0x7C, 0xC6, 0xC6, 
0xFE, 0xC0, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x30, 0x18, 0x0C, 0x00, 0x7C, 0xC6, 0xC6, 
0xFE, 0xC0, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x66, 0x00, 0x00, 0x38, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x3C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x18, 0x3C, 0x66, 0x00, 0x38, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x3C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x60, 0x30, 0x18, 0x00, 0x38, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x3C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xC6, 0x00, 0x38, 0x6C, 0xC6, 0xC6, 0xC6, 
0xFE, 0xC6, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x38, 0x6C, 0x38, 0x00, 0x38, 0x6C, 0xC6, 0xC6, 
0xFE, 0xC6, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x0C, 0x18, 0x30, 0x00, 0xFE, 0x60, 0x60, 0x7C, 
0x60, 0x60, 0x60, 0xFE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x66, 0xDB, 0x1B, 0x7F, 
0xD8, 0xD8, 0xDF, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7E, 0xD8, 0xD8, 0xD8, 0xD8, 0xFE, 
0xD8, 0xD8, 0xD8, 0xDE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x30, 0x78, 0xCC, 0x00, 0x7C, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xC6, 0x00, 0x00, 0x7C, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x30, 0x18, 0x0C, 0x00, 0x7C, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x30, 0x78, 0xCC, 0x00, 0xC6, 0xC6, 0xC6, 
0xC6, 0xC6, 0xCE, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x60, 0x30, 0x18, 0x00, 0xC6, 0xC6, 0xC6, 
0xC6, 0xC6, 0xCE, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xC6, 0x00, 0x00, 0xC6, 0xC6, 0xC6, 0xC6, 
0xCE, 0x76, 0x06, 0x06, 0xC6, 0x7C, 0x00, 0x00, 
0x00, 0xC6, 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xC6, 0x00, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x18, 0x7C, 0xC6, 0xC0, 0xC0, 
0xC6, 0x7C, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x38, 0x6C, 0x60, 0x60, 0xF0, 0x60, 0x60, 
0x60, 0x66, 0xF6, 0x6C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x66, 0x66, 0x66, 0x66, 0x3C, 0x18, 0x7E, 
0x18, 0x3C, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0xFC, 0xC6, 0xC6, 0xFC, 0xC0, 0xCC, 0xDE, 
0xCC, 0xCC, 0xCC, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x0E, 0x1B, 0x18, 0x18, 0x18, 0x7E, 0x18, 
0x18, 0x18, 0x18, 0x18, 0xD8, 0x70, 0x00, 0x00, 
0x00, 0x0C, 0x18, 0x30, 0x00, 0x78, 0x0C, 0x7C, 
0xCC, 0xCC, 0xDC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x0C, 0x18, 0x30, 0x00, 0x38, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x3C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x0C, 0x18, 0x30, 0x00, 0x7C, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x18, 0x30, 0x60, 0x00, 0xCC, 0xCC, 0xCC, 
0xCC, 0xCC, 0xDC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x76, 0xDC, 0x00, 0xBC, 0x66, 0x66, 
0x66, 0x66, 0x66, 0xE6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x76, 0xDC, 0x00, 0xC6, 0xC6, 0xE6, 0xF6, 
0xDE, 0xCE, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x3C, 0x6C, 0x6C, 0x3E, 0x00, 0x7E, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x38, 0x6C, 0x6C, 0x38, 0x00, 0x7C, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x30, 0x30, 0x00, 0x30, 0x30, 0x30, 
0x60, 0xC6, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 
0x60, 0x60, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 
0x06, 0x06, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x60, 0x60, 0x62, 0x66, 0x6C, 0x18, 0x30, 
0x60, 0xDC, 0x36, 0x0C, 0x18, 0x3E, 0x00, 0x00, 
0x00, 0x60, 0x60, 0x62, 0x66, 0x6C, 0x18, 0x36, 
0x6E, 0xDE, 0x36, 0x7E, 0x06, 0x06, 0x00, 0x00, 
0x00, 0x00, 0x18, 0x18, 0x00, 0x18, 0x18, 0x3C, 
0x3C, 0x3C, 0x3C, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0x6C, 0xD8, 
0x6C, 0x36, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xD8, 0x6C, 0x36, 
0x6C, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x11, 0x44, 0x11, 0x44, 0x11, 0x44, 0x11, 0x44, 
0x11, 0x44, 0x11, 0x44, 0x11, 0x44, 0x11, 0x44, 
0xAA, 0x55, 0xAA, 0x55, 0xAA, 0x55, 0xAA, 0x55, 
0xAA, 0x55, 0xAA, 0x55, 0xAA, 0x55, 0xAA, 0x55, 
0xDD, 0x77, 0xDD, 0x77, 0xDD, 0x77, 0xDD, 0x77, 
0xDD, 0x77, 0xDD, 0x77, 0xDD, 0x77, 0xDD, 0x77, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0xF8, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x18, 0xF8, 0x18, 0xF8, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0xF6, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xF8, 0x18, 0xF8, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x36, 0x36, 0x36, 0x36, 0x36, 0xF6, 0x06, 0xF6, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x06, 0xF6, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x36, 0x36, 0x36, 0x36, 0x36, 0xF6, 0x06, 0xFE, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0xFE, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x18, 0x18, 0x18, 0x18, 0x18, 0xF8, 0x18, 0xF8, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF8, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x1F, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0xFF, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x1F, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0xFF, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x1F, 0x18, 0x1F, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x37, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x37, 0x30, 0x3F, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x30, 0x37, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x36, 0x36, 0x36, 0x36, 0x36, 0xF7, 0x00, 0xFF, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0xF7, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x37, 0x30, 0x37, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0xFF, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x36, 0x36, 0x36, 0x36, 0x36, 0xF7, 0x00, 0xF7, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x18, 0x18, 0x18, 0x18, 0x18, 0xFF, 0x00, 0xFF, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0xFF, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0xFF, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x3F, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x1F, 0x18, 0x1F, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x18, 0x1F, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0xFF, 
0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 
0x18, 0x18, 0x18, 0x18, 0x18, 0xFF, 0x18, 0xFF, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0xF8, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 
0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 
0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x76, 0xDC, 0xD8, 0xD8, 
0xD8, 0xD8, 0xDC, 0x76, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x78, 0xCC, 0xD8, 0xFC, 
0xC6, 0xC6, 0xE6, 0xDC, 0xC0, 0xC0, 0x00, 0x00, 
0x00, 0x00, 0xFE, 0x66, 0x62, 0x60, 0x60, 0x60, 
0x60, 0x60, 0x60, 0x60, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x6C, 0x6C, 
0x6C, 0x6C, 0x6C, 0x6C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFE, 0xC6, 0x62, 0x30, 0x18, 0x18, 
0x30, 0x62, 0xC6, 0xFE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 0xD8, 0xCC, 
0xCC, 0xCC, 0xD8, 0x70, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x66, 0x66, 0x66, 0x66, 
0x66, 0x7C, 0x60, 0xC0, 0x80, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xDC, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xFE, 0x38, 0x38, 0x6C, 0xC6, 0xC6, 
0x6C, 0x38, 0x38, 0xFE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x38, 0x6C, 0xC6, 0xC6, 0xFE, 
0xC6, 0xC6, 0x6C, 0x38, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x38, 0x6C, 0xC6, 0xC6, 0xC6, 0xC6, 
0x6C, 0x6C, 0x6C, 0xEE, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x3E, 0x60, 0x60, 0x3C, 0x66, 0xC6, 
0xC6, 0xC6, 0xCC, 0x78, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 0xDB, 0xDB, 
0xDB, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x02, 0x06, 0x7C, 0xCE, 0xDE, 0xF6, 
0xF6, 0x7C, 0x60, 0xC0, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x1C, 0x30, 0x60, 0x60, 0x7C, 
0x60, 0x60, 0x30, 0x1C, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 
0xC6, 0xC6, 0xC6, 0xC6, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0xFE, 
0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x18, 0x18, 0x7E, 0x18, 
0x18, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x30, 0x18, 0x0C, 0x06, 0x0C, 0x18, 
0x30, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x0C, 0x18, 0x30, 0x60, 0x30, 0x18, 
0x0C, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x0C, 0x1E, 0x1A, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 
0x18, 0x18, 0x58, 0x78, 0x30, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x18, 0x18, 0x00, 0x7E, 
0x00, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xDC, 
0x00, 0x76, 0xDC, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x78, 0xCC, 0xCC, 0x78, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 
0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x1F, 0x18, 0x18, 0x18, 0x18, 0x18, 
0xD8, 0xD8, 0x78, 0x38, 0x18, 0x00, 0x00, 0x00, 
0x00, 0x00, 0xD8, 0x6C, 0x6C, 0x6C, 0x6C, 0x6C, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x70, 0xD8, 0x18, 0x30, 0x60, 0xF8, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x7E, 0x7E, 
0x7E, 0x7E, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

/* type conversion functions */
unsigned char lsb(unsigned int word){ return word &0xff;}
unsigned char msb(unsigned int word){ return word >>8;}

unsigned char pcxheader[128];
unsigned int  hres, vres;
unsigned int  bytesperline=0;

int makeheader()
{
    /* makes a standard header for a Monochrome .PCX FILE */
    int i;
    unsigned char zsoft=10,version=2,codetype=1,pixbits=1;
    unsigned int  xmin=0, ymin=0, xmax=hres-1, ymax=vres-1;
    unsigned char no_planes=1;

    for(i=0;i!=128;i++)pcxheader[i]=0; /* pad the header - start clean */

    pcxheader[0]=zsoft;
    pcxheader[1]=version;
    pcxheader[2]=codetype;
    pcxheader[3]=pixbits;

    pcxheader[4] =lsb(xmin);
    pcxheader[5] =msb(xmin);
    pcxheader[6] =lsb(ymin);
    pcxheader[7] =msb(ymin);

    pcxheader[8] =lsb(xmax);
    pcxheader[9] =msb(xmax);
    pcxheader[10]=lsb(ymax);
    pcxheader[11]=msb(ymax);

    pcxheader[12]=lsb(hres);
    pcxheader[13]=msb(hres);
    pcxheader[14]=lsb(vres);
    pcxheader[15]=msb(vres);

    /* black */
    pcxheader[16]=0x00;
    pcxheader[17]=0x00;
    pcxheader[18]=0x00;

    /* white */
    pcxheader[19]=0xFF;
    pcxheader[20]=0xFF;
    pcxheader[21]=0xFF;

    pcxheader[65]=no_planes;

    pcxheader[66]=lsb(bytesperline);
    pcxheader[67]=msb(bytesperline);
    return 0;

}

int makepcx()
{
    unsigned char *crtbuf;
    unsigned char buffer[_MAX_BUF_SIZE], scratch[_MAX_BUF_SIZE];
    char *wordptr;
    unsigned int rows,cols,i,c,x,y;

    crtbuf=malloc(bytesperline);
    makeheader();

    for(i=0;i!=128;i++)fputc(pcxheader[i],pcxfile); /* write the header */

    rows = vres/16;
    for(i=0;i<rows;i++)
    {
      printf("\r%d    \r",i);

      fgets(scratch,_MAX_BUF_SIZE,fp);
      strcat(scratch,"\n");
      wordptr=strtok(scratch,"\n");
      sprintf(buffer,"%s",scratch);
      cols=strlen(buffer);

      // loop for each scanline
      for(y=0;y<16;y++)
      {
        memset(crtbuf,0x00,bytesperline); // clear the buffer
        for(x=0;x<cols;x++)               // get the next font band
        {
          c=buffer[x];
          crtbuf[x]=RAMFONT[c][y];
        }
        for(x=0;x<bytesperline;x++)crtbuf[x]^=0xff; // reverse the video
        encline(crtbuf,bytesperline);
      }
    }

    free(crtbuf);
    printf("\rDone!              \n");
    return 0;

}

int bsv2pcx(char *infile)
{
    unsigned char buffer[160],scratch[_MAX_PATH],outfile[_MAX_PATH];
    char *wordptr;
    unsigned int rows=25,cols=80,i,c,d,x,y;
    unsigned char *crtbuf;
    int fh;

    if((fp=fopen(infile,"rb"))==NULL)
    {
      perror(infile);
      exit(0);
    }

    fh=fileno(fp);
    read(fh,buffer,7);


    // make a filename for our pcx file
    strcpy(scratch,infile);
    strcat(scratch,".");
    wordptr=strtok(scratch,".");
    sprintf(outfile,"%s.PCX",scratch);

    if((pcxfile=fopen(outfile,"wb"))==NULL)
    {
      perror(outfile);
      fclose(fp);
      return 0;
    }

    printf("Now Creating %s\n",outfile);

    vres = 400;
    hres = 640;
    bytesperline=80;
    makeheader();
    for(i=0;i<128;i++)fputc(pcxheader[i],pcxfile); /* write the header */

    for(i=0;i<25;i++)
    {
      printf("\r%d    \r",i);
      read(fh,buffer,160);
      // loop for each scanline
      for(y=0;y<16;y++)
      {
        for(x=0;x<80;x++)               // get the next font band
        {
          c=buffer[x*2];
          d=buffer[x*2+1];
          scratch[x]=RAMFONT[c][y];
          if((d&0xf)==0)scratch[x]^=0xff;  // assume reverse video black text
        }
        for(x=0;x<80;x++)scratch[x]^=0xff; // reverse the video
        encline(scratch,80);
      }
    }

    printf("\rDone!              \n");
    fclose(fp);
    fclose(pcxfile);
    return 0;
}


int main(int argc,char **argv)
{
    char outfile[_MAX_PATH];
    char scratch[_MAX_BUF_SIZE];
    char buffer[_MAX_BUF_SIZE];
    char *wordptr;
    unsigned rows, cols;

    puts("TXT2PCX(C) CopyLeft Bill Buckels 1993-2000");
    puts("All Rights Reversed.");

    if(argc<2)
    {
      puts("Usage is \"TXT2PCX [my.txt] [columns-optional]\"");
      puts("BSV Alt: \"TXT2PCX [my.BSV]\"");
      return 1;
    }

    // BSV screen dump option
    strcpy(mybuff,argv[1]);
    if(strstr(strupr(mybuff),".BSV")!=NULL)
    {
      bsv2pcx(argv[1]);
      return 0;
    }

    if(argc==3)bytesperline=atoi(argv[2]);
    if(bytesperline>500)bytesperline=500;  // 500 character max

    if((fp=fopen(argv[1],"r"))==NULL)
    {
      perror(argv[1]);
      return 1;
    }

    // make a filename for our pcx file
    strcpy(scratch,argv[1]);
    strcat(scratch,".");
    wordptr=strtok(scratch,".");
    sprintf(outfile,"%s.PCX",scratch);

    // count ascii lines to get the image length
    // use the longest string for the image width

    rows=0;
    while(fgets(scratch,_MAX_BUF_SIZE,fp)!=NULL)
    {
      strcat(scratch,"\n");
      wordptr=strtok(scratch,"\n");
      sprintf(buffer,"%s",scratch);
      cols=strlen(buffer);
      if(bytesperline<cols)bytesperline=cols;
      rows++;
    }

    vres = rows*16;
    hres = bytesperline*8;

    // check for valid size
    if( hres<1 || vres<1 )
    {
      puts("Invalid Size Option.");
      fclose(fp);
      return 1;
    }

    // do it
    rewind(fp);
    if((pcxfile=fopen(outfile,"wb"))==NULL)
    {
      perror(outfile);
      fclose(fp);
      return 1;
    }
    printf("Now Creating %s\n",outfile);
    makepcx();
    fclose(fp);
    fclose(pcxfile);
    return 0;

}

/* ---------------------------------------------------------------------- */
/* encodes a raw line and writes it out to disk.                          */
/* required to write the PCX files saved by this program.                 */
/* ---------------------------------------------------------------------- */
int encline(unsigned char *inbuff, int inlen)
{
    unsigned char current,last;
    int srcindex,i;
    register int total;
    register unsigned char runcount;

    total=0;
    last = *(inbuff);
    runcount=1;

    for(srcindex=1;srcindex!=inlen;srcindex++){
      current= *(++inbuff);
      if(current==last){
        runcount++;
        if(runcount==63){
            if(!(i=encput(last,runcount)))
            return(0);
            total+=i;
            runcount=0;
        }
      }
      else {
        if(runcount){
            if(!(i=encput(last,runcount)))
            return(0);
            total+=i;
        }
        last=current;
        runcount=1;
      }
   }

  if (runcount) {
    if (!(i=encput(last,runcount)))
      return(0);
    return(total+i);
  }
  return (total);

}

/* ---------------------------------------------------------------------- */
/* the writer for the encline function                                    */
/* ---------------------------------------------------------------------- */
int encput(unsigned char byt, unsigned char cnt)
{
  if (cnt){
    if((cnt==1)&& (0xc0 != (0xc0 &byt))){
      if (EOF == fputc((int)byt,pcxfile))
         return(0);
      return(1);
    }
    else {
      if (EOF==fputc((int)0xc0|cnt,pcxfile))
        return(0);

      if(EOF==fputc((int)byt,pcxfile))
        return(0);

      return(2);
    }
  }
  return(0);
}
